Package com.documentum.fc.client.fulltext

# Enum Class IDfFtConfig.FtCapability

java.lang.Object
java.lang.Enum<IDfFtConfig.FtCapability>
com.documentum.fc.client.fulltext.IDfFtConfig.FtCapability

All Implemented Interfaces:
  `Serializable`, `Comparable<IDfFtConfig.FtCapability>`, `Constable`

Enclosing interface:
  IDfFtConfig

public static enum IDfFtConfig.FtCapability extends Enum<IDfFtConfig.FtCapability>
Represents the capabilities that can be passed to isCapabilitySupported()

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FOLDER_EXPANSION`
  whether the fulltext engine supports evaluating folder hierarchies
  `HIT_COUNT`
  whether the fulltext engine supports returning total hit information before returning results
  `RELEVANCE_RANKING`
  whether the fulltext engine supports scoring of results
  `SCOPE_SEARCH`
  whether xml element data can be searched (similar to VQL IN operator usage)
  `SEARCH_TOPIC_CLAUSE`
  whether VQL syntax is supported for backward compatibility
  `SECURITY_EVAL_IN_FULLTEXT`
  whether security is evaluated in the fulltext engine
  `XQUERY`
  whether xquery language is supported by the fulltext engine

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IDfFtConfig.FtCapability`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IDfFtConfig.FtCapability[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### XQUERY

    public static final IDfFtConfig.FtCapability XQUERY
    whether xquery language is supported by the fulltext engine

  - ### SEARCH_TOPIC_CLAUSE

    public static final IDfFtConfig.FtCapability SEARCH_TOPIC_CLAUSE
    whether VQL syntax is supported for backward compatibility

  - ### HIT_COUNT

    public static final IDfFtConfig.FtCapability HIT_COUNT
    whether the fulltext engine supports returning total hit information before returning results

  - ### SECURITY_EVAL_IN_FULLTEXT

    public static final IDfFtConfig.FtCapability SECURITY_EVAL_IN_FULLTEXT
    whether security is evaluated in the fulltext engine

  - ### RELEVANCE_RANKING

    public static final IDfFtConfig.FtCapability RELEVANCE_RANKING
    whether the fulltext engine supports scoring of results

  - ### SCOPE_SEARCH

    public static final IDfFtConfig.FtCapability SCOPE_SEARCH
    whether xml element data can be searched (similar to VQL IN operator usage)

  - ### FOLDER_EXPANSION

    public static final IDfFtConfig.FtCapability FOLDER_EXPANSION
    whether the fulltext engine supports evaluating folder hierarchies

- ## Method Details

  - ### values

    public static IDfFtConfig.FtCapability[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IDfFtConfig.FtCapability valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null